<div class="sidebar">
  <ul>
    <li (click)="handleSidebar('craft')">Craft</li>
    <li (click)="handleSidebar('inventory')">Inventory</li>
    <li (click)="handleSidebar('market')">Market</li>
  </ul>
</div>

<h2 class="welcome-h2">Welcome {{ appComponent.username }}!</h2>

<div class="mine-and-miner-container">
  <div class="mine-container">
    <div
      class="mine"
      (mousedown)="handleMousedownResource()"
      (mouseup)="handleMouseupResource()"
    >
      <app-resource-cart></app-resource-cart>
    </div>
  </div>
  <div class="miner-container">
    <div class="status-container">
      <div class="mine-type">
        Mine Type:
        <div class="mine-type-icon" [ngSwitch]="appComponent.mineType">
          <app-oil *ngSwitchCase="'OIL'"></app-oil>
          <app-iron *ngSwitchCase="'IRON'"></app-iron>
          <app-copper *ngSwitchCase="'COPPER'"></app-copper>
          <div *ngSwitchDefault></div>
        </div>
        <p style="margin-left: 5px">
          ({{ appComponent.efficiency }} per minute)
        </p>
      </div>
      <ul>
        <li>
          <div class="icon"><app-oil></app-oil></div>
          {{ appComponent.oil + appComponent.clickedOil | number: "1.1-2" }}
        </li>
        <li>
          <div class="icon"><app-iron></app-iron></div>
          {{ appComponent.iron + appComponent.clickedIron | number: "1.1-2" }}
        </li>
        <li>
          <div class="icon"><app-copper></app-copper></div>
          {{
            appComponent.copper + appComponent.clickedCopper | number: "1.1-2"
          }}
        </li>
      </ul>
    </div>
    <div class="weather-container">
      <div class="temperature" *ngIf="appComponent.weather">
        {{ appComponent.weather.Temp }}
        <span style="font-family: 'Courier New', Courier, monospace"
          >&#176;C (Effect:
          {{
            appComponent.weather["Weather effect"] - 1 | number: "1.1-2"
          }})</span
        >
      </div>
      <img
        *ngIf="appComponent.weatherUrl"
        class="weather-icon"
        src="{{ appComponent.weatherUrl }}"
        alt="weather icon"
      />
    </div>

    <div class="itemlist-and-miner-container">
      <div class="itemlist-container" *ngIf="appComponent.minerItems.size">
        <div class="arrow up-arrow" (click)="clickUpArrow()">
          <svg
            width="104"
            height="51"
            viewBox="0 0 104 51"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              d="M6.89423 51C8.09656 51 9.25862 50.5668 10.1675 49.7796L48.7267 16.3864C50.6056 14.7592 53.3944 14.7592 55.2733 16.3864L93.8325 49.7796C94.7414 50.5668 95.9034 51 97.1058 51H98.6333C103.263 51 105.406 45.251 101.907 42.2204L55.2733 1.83474C53.3944 0.207596 50.6056 0.207593 48.7267 1.83473L2.09345 42.2203C-1.40607 45.251 0.737273 51 5.3667 51H6.89423Z"
            />
          </svg>
        </div>
        <div class="ul-container">
          <ul [style.top]="getItemlistTranslateAmount() + 'px'">
            <li *ngFor="let item of appComponent.minerItems" [ngSwitch]="item">
              <app-drill *ngSwitchCase="'Drill'"></app-drill>
              <app-tarps *ngSwitchCase="'Tarps'"></app-tarps>
              <app-truck *ngSwitchCase="'Truck'"></app-truck>
              <app-robot *ngSwitchCase="'Robot'"></app-robot>
            </li>
          </ul>
        </div>

        <div class="arrow down-arrow" (click)="clickDownArrow()">
          <svg
            width="104"
            height="51"
            viewBox="0 0 104 51"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              d="M6.89423 51C8.09656 51 9.25862 50.5668 10.1675 49.7796L48.7267 16.3864C50.6056 14.7592 53.3944 14.7592 55.2733 16.3864L93.8325 49.7796C94.7414 50.5668 95.9034 51 97.1058 51H98.6333C103.263 51 105.406 45.251 101.907 42.2204L55.2733 1.83474C53.3944 0.207596 50.6056 0.207593 48.7267 1.83473L2.09345 42.2203C-1.40607 45.251 0.737273 51 5.3667 51H6.89423Z"
            />
          </svg>
        </div>
      </div>

      <div class="character-container">
        <div class="mountains-icon">
          <app-mountains></app-mountains>
        </div>
        <div class="character-shadow-icon">
          <svg
            viewBox="0 0 171 34"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <ellipse
              cx="85.5"
              cy="17"
              rx="85.5"
              ry="17"
              fill="#A8A8A8"
              fill-opacity="0.53"
            />
          </svg>
        </div>
        <div class="pickaxe-icon" [ngStyle]="getPickaxeStyle()">
          <app-pickaxe></app-pickaxe>
        </div>
        <div class="character-icon"><app-character></app-character></div>

        <!-- <div class="new-treasure">NEW TREASURE</div> -->
      </div>
    </div>
  </div>
</div>

<div class="sidebar-modals" [ngSwitch]="selectedSidebar">
  <app-craft *ngSwitchCase="'craft'"></app-craft>
  <app-inventory *ngSwitchCase="'inventory'"></app-inventory>
  <app-market *ngSwitchCase="'market'"></app-market>
</div>

<div
  class="part-found-modal"
  *ngIf="appComponent.isPartFound && appComponent.foundPart"
>
  <div class="part-container">
    <h2>You found a robot part!</h2>
    <h3>{{ appComponent.foundPart.name }}</h3>
    <div class="svg-icon" [ngSwitch]="appComponent.foundPart.name">
      <app-robot-head *ngSwitchCase="'Robot Head'"></app-robot-head
      ><app-robot-torso *ngSwitchCase="'Robot Torso'"></app-robot-torso
      ><app-robot-arm *ngSwitchCase="'Robot Arm'"></app-robot-arm
      ><app-robot-leg *ngSwitchCase="'Robot Leg'"></app-robot-leg>
      <div *ngSwitchDefault></div>
    </div>
    <p>{{ appComponent.foundPart.description }}</p>
  </div>
</div>
